Bug 1282716 - ActionController::RoutingError when sorting infrastructure and cloud objects when navigated through provider summary page
ActionController::RoutingError when sorting infrastructure and cloud objects...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: lgalis
Aziza Karol
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 03:43 EST by Aziza Karol
Modified: 2015-12-08 08:47 EST (History)
5 users (show)

See Also:
Fixed In Version: 5.5.0.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:47:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aziza Karol 2015-11-17 03:43:30 EST
Description of problem:
sorting infrastructure and cloud objects fails

Version-Release number of selected component (if applicable):
5.5.0.10

How reproducible:
100%

Steps to Reproduce:
1.Navigate to cloud providers->provider summary page (any cloud provider)
2.click on flavors in relationship
3.Try to sort by CPu , name etc


Actual results:
sorting does not work. ActionController::RoutingError is thrown in production.log

similarly sorting fails for infrastructure objects.
Expected results:
sorting should work

Additional info:
production.log
[----] F, [2015-11-17T03:37:09.103790 #2910:bfd998] FATAL -- : 
ActionController::RoutingError (No route matches [POST] "/ems_cloud/1/1"):
  /opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/rack/logger.rb:38:in `call_app'
  /opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/rack/logger.rb:22:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/request_id.rb:21:in `call'
  rack (1.6.4) lib/rack/methodoverride.rb:22:in `call'
  rack (1.6.4) lib/rack/runtime.rb:18:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
  rack (1.6.4) lib/rack/lock.rb:17:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/static.rb:116:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/static.rb:116:in `call'
  rack (1.6.4) lib/rack/sendfile.rb:113:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/engine.rb:518:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/application.rb:165:in `call'
  rack (1.6.4) lib/rack/content_length.rb:15:in `call'
  thin (1.6.3) lib/thin/connection.rb:86:in `block in pre_process'
  thin (1.6.3) lib/thin/connection.rb:84:in `catch'
  thin (1.6.3) lib/thin/connection.rb:84:in `pre_process'
  thin (1.6.3) lib/thin/connection.rb:53:in `process'
  thin (1.6.3) lib/thin/connection.rb:39:in `receive_data'
  eventmachine (1.0.7) lib/eventmachine.rb:187:in `run_machine'
  eventmachine (1.0.7) lib/eventmachine.rb:187:in `run'
  thin (1.6.3) lib/thin/backends/base.rb:73:in `start'
  thin (1.6.3) lib/thin/server.rb:162:in `start'
  rack (1.6.4) lib/rack/handler/thin.rb:19:in `run'
  rack (1.6.4) lib/rack/server.rb:286:in `start'
  /opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands/server.rb:80:in `start'
  /opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands/commands_tasks.rb:80:in `block in server'
  /opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands/commands_tasks.rb:75:in `tap'
  /opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands/commands_tasks.rb:75:in `server'
  /opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
  /opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands.rb:17:in `<top (required)>'
  bin/rails:4:in `require'
  bin/rails:4:in `<main>'
Comment 3 CFME Bot 2015-11-18 15:40:25 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/caef1a7c132de41c9a5136030a9a4af29d3f6b51

commit caef1a7c132de41c9a5136030a9a4af29d3f6b51
Author:     Laura Galis <lgalis@redhat.com>
AuthorDate: Wed Nov 18 12:33:32 2015 -0500
Commit:     Laura Galis <lgalis@redhat.com>
CommitDate: Wed Nov 18 12:59:24 2015 -0500

    Do not add the id to the sort url if the id is already part of the actionUrl
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1282716

 app/assets/javascripts/miq_list_grid.js           | 9 +++++++--
 app/views/shared/views/ems_common/_show.html.haml | 2 +-
 spec/javascripts/miq_list_grid_spec.js            | 8 ++++++++
 3 files changed, 16 insertions(+), 3 deletions(-)
 create mode 100644 spec/javascripts/miq_list_grid_spec.js
Comment 4 CFME Bot 2015-11-19 12:11:25 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=31109fcc0cd1d24fd8eaa6a763cab530f9f827ae

commit 31109fcc0cd1d24fd8eaa6a763cab530f9f827ae
Author:     Laura Galis <lgalis@redhat.com>
AuthorDate: Wed Nov 18 12:33:32 2015 -0500
Commit:     Laura Galis <lgalis@redhat.com>
CommitDate: Wed Nov 18 17:23:14 2015 -0500

    Do not add the id to the sort url if the id is already part of the actionUrl
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1282716
    (cherry picked from commit caef1a7)

 app/assets/javascripts/miq_list_grid.js           | 9 +++++++--
 app/views/shared/views/ems_common/_show.html.haml | 2 +-
 spec/javascripts/miq_list_grid_spec.js            | 8 ++++++++
 3 files changed, 16 insertions(+), 3 deletions(-)
 create mode 100644 spec/javascripts/miq_list_grid_spec.js
Comment 5 CFME Bot 2015-11-19 12:11:36 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=edb914f33affb8147ef29c151e6505a36639bf6c

commit edb914f33affb8147ef29c151e6505a36639bf6c
Merge: f509fdc 31109fc
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Nov 19 11:14:12 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Thu Nov 19 11:14:12 2015 -0500

    Merge branch '5.5.z_sort_error_with_display_parameter' into '5.5.z'
    
    Do not add the id to the sort url if the id is already part of the actionUrl
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1282716
    (cherry picked from commit caef1a7)
    
    Clean cherry pick from https://github.com/ManageIQ/manageiq/pull/5499
    
    See merge request !501

 app/assets/javascripts/miq_list_grid.js           | 9 +++++++--
 app/views/shared/views/ems_common/_show.html.haml | 2 +-
 spec/javascripts/miq_list_grid_spec.js            | 8 ++++++++
 3 files changed, 16 insertions(+), 3 deletions(-)
Comment 6 Aziza Karol 2015-11-25 05:51:18 EST
sorting works when navigated through provider summary page.

Verified:5.5.0.12-rc2.20151124135609_653c0d4
Comment 8 errata-xmlrpc 2015-12-08 08:47:48 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.